## org.eclipse.wst.server.ui
Class FacetRuntimeComponentLabelProvider.RuntimeLabelProvider

    java.lang.Object
      org.eclipse.wst.server.ui.FacetRuntimeComponentLabelProvider.RuntimeLabelProvider

Enclosing class:
  FacetRuntimeComponentLabelProvider

    public final class FacetRuntimeComponentLabelProvider.RuntimeLabelProvider

extends java.lang.Object

Constructor Summary
`FacetRuntimeComponentLabelProvider.RuntimeLabelProvider(IRuntimeComponent rc)`

Method Summary
`java.lang.String` `getLabel()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetRuntimeComponentLabelProvider.RuntimeLabelProvider

    public FacetRuntimeComponentLabelProvider.RuntimeLabelProvider(IRuntimeComponent rc)

Method Detail

### getLabel

    public java.lang.String getLabel()